include ./config.mk

CXXFLAGS += -std=c++11
LIBS := -lstdc++ -lm -larmadillo
DEFINES += -DPROCESSOR_BUFFER_USE_EXCEPTIONS

all: app 
app: objects link
objects: 
	@$(MAKE) -C src BUILD_DIR=$(BUILD_DIR)/src
	@$(MAKE) -C test BUILD_DIR=$(BUILD_DIR)/test
	
include $(MAKE_HOME)/compile.mk
